Subject: Re: bug#69220: [PATCH] smerge-mode: add a function to resolve all conflicts in a file

From: Konstantin Kharlamov <[email-masked]>
Date: Tue, 20 Feb 2024 16:59:26 +0300

On Tue, 2024-02-20 at 08:53 -0500, Stefan Monnier wrote:
> > > Sorry, I'm not following 😅 The closest thing I see is you want
> > > a prefix to each of smerge-keep-(upper/base/lower) commands to be
> > > added, so that pressing a `C-u 0 smerge-keep-upper` would call
> > > the
> > > command for each conflict in the buffer. But that seems both less
> > > discoverable and more code to implement. But maybe I understood
> > > you wrong.
> 
> No, `C-u` `universal-argument` is a prefix command and it's the most
> common *but* not the only one.  There's also `C-x RET c`
> (`universal-coding-system-argument`), for instance, or `C-x 4 4`
> (`other-window-prefix`) and `C-x 5 5` (`other-frame-prefix`).
> I'm suggesting we define a new such prefix command.
> 
> > Aaah, I think I get it. You want a command that would iterate
> > through
> > conflicts and ask a user which solution side to apply?
> 
> But it asks only once.

Okay, I see now. So a user calls the command, the command asks once
which side to apply, and then does that automatically for all other
conflicts. So… what's the difference compared to my patch, only that it
asks a user after going to a conflict? Or do you want it to
additionally stop at each conflict and ask a user if they want to apply
the "resolution"?